Index: svn/src/mainboard/amd/serengeti_cheetah_fam10/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah_fam10/acpi_tables.c
+++ svn/src/mainboard/amd/serengeti_cheetah_fam10/acpi_tables.c
@@ -38,9 +38,9 @@ static void dump_mem(u32 start, u32 end)
 	print_debug("dump_mem:");
 	for(i=start;i<end;i++) {
 		if((i & 0xf)==0) {
-			printk(BIOS_DEBUG, "\n%08x:", i);
+			printk(DEBUG, "\n%08x:", i);
 		}
-		printk(BIOS_DEBUG, " %02x", (unsigned char)*((unsigned char *)i));
+		printk(DEBUG, " %02x", (unsigned char)*((unsigned char *)i));
 	}
 	print_debug("\n");
 }
@@ -210,7 +210,7 @@ unsigned long write_acpi_tables(unsigned
 	start = ( start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -228,7 +228,7 @@ unsigned long write_acpi_tables(unsigned
 	 * We explicitly add these tables later on:
 	 */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:    * HPET at %lx\n", current);
+	printk(DEBUG, "ACPI:    * HPET at %lx\n", current);
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
@@ -236,7 +236,7 @@ unsigned long write_acpi_tables(unsigned
 
 	/* If we want to use HPET Timers Linux wants an MADT */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:    * MADT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * MADT at %lx\n", current);
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current+=madt->header.length;
@@ -244,7 +244,7 @@ unsigned long write_acpi_tables(unsigned
 
 	/* SRAT */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:    * SRAT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * SRAT at %lx\n", current);
 	srat = (acpi_srat_t *) current;
 	acpi_create_srat(srat);
 	current+=srat->header.length;
@@ -252,7 +252,7 @@ unsigned long write_acpi_tables(unsigned
 
 	/* SLIT */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:   * SLIT at %lx\n", current);
+	printk(DEBUG, "ACPI:   * SLIT at %lx\n", current);
 	slit = (acpi_slit_t *) current;
 	acpi_create_slit(slit);
 	current+=slit->header.length;
@@ -260,7 +260,7 @@ unsigned long write_acpi_tables(unsigned
 
 	/* SSDT */
 	current	  = ( current + 0x0f) & -0x10;
-	printk(BIOS_DEBUG, "ACPI:    * SSDT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * SSDT at %lx\n", current);
 	ssdt = (acpi_header_t *)current;
 	current += AmlCode_ssdt.length;
 	memcpy((void *)ssdt, &AmlCode_ssdt, AmlCode_ssdt.length);
@@ -271,7 +271,7 @@ unsigned long write_acpi_tables(unsigned
 	ssdt->checksum = acpi_checksum((unsigned char *)ssdt, ssdt->length);
 	acpi_add_table(rsdp, ssdt);
 
-	printk(BIOS_DEBUG, "ACPI:    * SSDT for PState at %lx\n", current);
+	printk(DEBUG, "ACPI:    * SSDT for PState at %lx\n", current);
 	current = acpi_add_ssdt_pstates(rsdp, current);
 
 #if CONFIG_ACPI_SSDTX_NUM >= 1
@@ -289,7 +289,7 @@ unsigned long write_acpi_tables(unsigned
 			c  = (u8) ('A' + i - 1 - 6);
 		}
 		current = ( current + 0x07) & -0x08;
-		printk(BIOS_DEBUG, "ACPI:    * SSDT for PCI%c at %lx\n", c, current); //pci0 and pci1 are in dsdt
+		printk(DEBUG, "ACPI:    * SSDT for PCI%c at %lx\n", c, current); //pci0 and pci1 are in dsdt
 		ssdtx = (acpi_header_t *)current;
 		switch(sysconf.hcid[i]) {
 		case 1:
@@ -316,22 +316,22 @@ unsigned long write_acpi_tables(unsigned
 
 	/* DSDT */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:    * DSDT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * DSDT at %lx\n", current);
 	dsdt = (acpi_header_t *)current;
 	current += AmlCode.length;
 	memcpy((void *)dsdt, &AmlCode, AmlCode.length);
-	printk(BIOS_DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
+	printk(DEBUG, "ACPI:    * DSDT @ %p Length %x\n", dsdt, dsdt->length);
 
 	/* FACS */ // it needs 64 bit alignment
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:	* FACS at %lx\n", current);
+	printk(DEBUG, "ACPI:	* FACS at %lx\n", current);
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
 
 	/* FDAT */
 	current	  = ( current + 0x07) & -0x08;
-	printk(BIOS_DEBUG, "ACPI:    * FADT at %lx\n", current);
+	printk(DEBUG, "ACPI:    * FADT at %lx\n", current);
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 
@@ -339,29 +339,29 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, fadt);
 
 #if DUMP_ACPI_TABLES == 1
-	printk(BIOS_DEBUG, "rsdp\n");
+	printk(DEBUG, "rsdp\n");
 	dump_mem(rsdp, ((void *)rsdp) + sizeof(acpi_rsdp_t));
 
-	printk(BIOS_DEBUG, "rsdt\n");
+	printk(DEBUG, "rsdt\n");
 	dump_mem(rsdt, ((void *)rsdt) + sizeof(acpi_rsdt_t));
 
-	printk(BIOS_DEBUG, "madt\n");
+	printk(DEBUG, "madt\n");
 	dump_mem(madt, ((void *)madt) + madt->header.length);
 
-	printk(BIOS_DEBUG, "srat\n");
+	printk(DEBUG, "srat\n");
 	dump_mem(srat, ((void *)srat) + srat->header.length);
 
-	printk(BIOS_DEBUG, "slit\n");
+	printk(DEBUG, "slit\n");
 	dump_mem(slit, ((void *)slit) + slit->header.length);
 
-	printk(BIOS_DEBUG, "ssdt\n");
+	printk(DEBUG, "ssdt\n");
 	dump_mem(ssdt, ((void *)ssdt) + ssdt->length);
 
-	printk(BIOS_DEBUG, "fadt\n");
+	printk(DEBUG, "fadt\n");
 	dump_mem(fadt, ((void *)fadt) + fadt->header.length);
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
 
Index: svn/src/mainboard/amd/serengeti_cheetah_fam10/fadt.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah_fam10/fadt.c
+++ svn/src/mainboard/amd/serengeti_cheetah_fam10/fadt.c
@@ -34,7 +34,7 @@ void acpi_create_fadt(acpi_fadt_t *fadt,
 
 	acpi_header_t *header=&(fadt->header);
 
-	printk(BIOS_DEBUG, "pm_base: 0x%04x\n", pm_base);
+	printk(DEBUG, "pm_base: 0x%04x\n", pm_base);
 
 	/* Prepare the header */
 	memset((void *)fadt,0,sizeof(acpi_fadt_t));
Index: svn/src/mainboard/amd/serengeti_cheetah_fam10/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah_fam10/get_bus_conf.c
+++ svn/src/mainboard/amd/serengeti_cheetah_fam10/get_bus_conf.c
@@ -133,7 +133,7 @@ void get_bus_conf(void)
 	if (dev) {
 		m->bus_8111_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 	} else {
-		printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8111_0, sysconf.sbdn);
+		printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8111_0, sysconf.sbdn);
 	}
 
 	/* 8132-1 */
@@ -141,7 +141,7 @@ void get_bus_conf(void)
 	if (dev) {
 		m->bus_8132_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 	} else {
-		printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3);
+		printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3);
 	}
 
 	/* 8132-2 */
@@ -149,7 +149,7 @@ void get_bus_conf(void)
 	if (dev) {
 		m->bus_8132_2 = pci_read_config8(dev, PCI_SECONDARY_BUS);
 	} else {
-		printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3+1);
+		printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132_0, m->sbdn3+1);
 	}
 
 	for(i=0; i< sysconf.hc_possible_num; i++) {
@@ -161,7 +161,7 @@ void get_bus_conf(void)
 			m->bus_type[j] = 1;
 		if(m->bus_isa <= busn_max)
 			m->bus_isa = busn_max + 1;
-		printk(BIOS_DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
+		printk(DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
 	}
 
 	 /* HT chain 1 */
@@ -186,7 +186,7 @@ void get_bus_conf(void)
 			if (dev) {
 				m->bus_8132a[j][1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 			} else {
-				printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]);
+				printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]);
 			}
 
 			/* 8132-2 */
@@ -194,7 +194,7 @@ void get_bus_conf(void)
 			if (dev) {
 				m->bus_8132a[j][2] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 			} else {
-				printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]+1);
+				printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8132a[j][0], m->sbdn3a[j]+1);
 			}
 
 			break;
@@ -209,7 +209,7 @@ void get_bus_conf(void)
 			if (dev) {
 				m->bus_8151[j][1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 			} else {
-				printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8151[j][0], m->sbdn5[j]+1);
+				printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_8151[j][0], m->sbdn5[j]+1);
 			}
 
 			break;
Index: svn/src/mainboard/amd/serengeti_cheetah_fam10/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah_fam10/irq_tables.c
+++ svn/src/mainboard/amd/serengeti_cheetah_fam10/irq_tables.c
@@ -70,7 +70,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (u8 *)(addr);
@@ -137,7 +137,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/amd/serengeti_cheetah_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah_fam10/mptable.c
+++ svn/src/mainboard/amd/serengeti_cheetah_fam10/mptable.c
@@ -224,7 +224,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/amd/serengeti_cheetah_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah_fam10/romstage.c
+++ svn/src/mainboard/amd/serengeti_cheetah_fam10/romstage.c
@@ -62,7 +62,7 @@
 #if 0
 void die(const char *msg);
 int do_printk(int msg_level, const char *fmt, ...) __attribute__((format(printf, 2, 3)));
-#define printk(BIOS_ERR, fmt, arg...)   do_printk(BIOS_ERR   ,fmt, ##arg)
+#define printk(ERROR, fmt, arg...)   do_printk(ERROR   ,fmt, ##arg)
 #endif
 #include "cpu/x86/bist.h"
 
@@ -91,7 +91,7 @@ static void activate_spd_rom(const struc
 	int ret,i;
 	u8 device = ctrl->spd_switch_addr;
 
-	printk(BIOS_DEBUG, "switch i2c to : %02x for node %02x \n", device, ctrl->node_id);
+	printk(DEBUG, "switch i2c to : %02x for node %02x \n", device, ctrl->node_id);
 
 	/* the very first write always get COL_STS=1 and ABRT_STS=1, so try another time*/
 	i=2;
@@ -160,7 +160,7 @@ void cache_as_ram_main(unsigned long bis
 	w83627hf_enable_serial(SERIAL_DEV, CONFIG_TTYS0_BASE);
 	uart_init();
 	console_init();
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 
 //	dump_mem(CONFIG_DCACHE_RAM_BASE+CONFIG_DCACHE_RAM_SIZE-0x200, CONFIG_DCACHE_RAM_BASE+CONFIG_DCACHE_RAM_SIZE);
 
@@ -169,10 +169,10 @@ void cache_as_ram_main(unsigned long bis
 
 	// Load MPB
 	val = cpuid_eax(1);
-	printk(BIOS_DEBUG, "BSP Family_Model: %08x \n", val);
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
-	printk(BIOS_DEBUG, "bsp_apicid = %02x \n", bsp_apicid);
-	printk(BIOS_DEBUG, "cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
+	printk(DEBUG, "BSP Family_Model: %08x \n", val);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "bsp_apicid = %02x \n", bsp_apicid);
+	printk(DEBUG, "cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
 
 	/* Setup sysinfo defaults */
 	set_sysinfo_in_ram(0);
@@ -203,7 +203,7 @@ void cache_as_ram_main(unsigned long bis
 
  #if CONFIG_LOGICAL_CPUS==1
 	/* Core0 on each node is configured. Now setup any additional cores. */
-	printk(BIOS_DEBUG, "start_other_cores()\n");
+	printk(DEBUG, "start_other_cores()\n");
 	start_other_cores();
 	post_code(0x37);
 	wait_all_other_cores_started(bsp_apicid);
@@ -213,7 +213,7 @@ void cache_as_ram_main(unsigned long bis
 
  #if FAM10_SET_FIDVID == 1
 	msr = rdmsr(0xc0010071);
-	printk(BIOS_DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
+	printk(DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
 
 	/* FIXME: The sb fid change may survive the warm reset and only
 	   need to be done once.*/
@@ -231,7 +231,7 @@ void cache_as_ram_main(unsigned long bis
 
 	/* show final fid and vid */
 	msr=rdmsr(0xc0010071);
-	printk(BIOS_DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
+	printk(DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x \n", msr.hi, msr.lo);
  #endif
 
 	/* Reset for HT, FIDVID, PLL and errata changes to take affect. */
@@ -250,11 +250,11 @@ void cache_as_ram_main(unsigned long bis
 	post_code(0x3C);
 
 	/* It's the time to set ctrl in sysinfo now; */
-	printk(BIOS_DEBUG, "fill_mem_ctrl()\n");
+	printk(DEBUG, "fill_mem_ctrl()\n");
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	post_code(0x3D);
 
-	printk(BIOS_DEBUG, "enable_smbus()\n");
+	printk(DEBUG, "enable_smbus()\n");
 	enable_smbus();
 	post_code(0x3E);
 
@@ -263,7 +263,7 @@ void cache_as_ram_main(unsigned long bis
 
 //	die("Die Before MCT init.");
 
-	printk(BIOS_DEBUG, "raminit_amdmct()\n");
+	printk(DEBUG, "raminit_amdmct()\n");
 	raminit_amdmct(sysinfo);
 	post_code(0x41);
 
@@ -280,7 +280,7 @@ void cache_as_ram_main(unsigned long bis
 //	die("After MCT init before CAR disabled.");
 
 	post_code(0x42);
-	printk(BIOS_DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
+	printk(DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
 	post_cache_as_ram();	// BSP switch stack to ram, copy then execute LB.
 	post_code(0x43);	// Should never see this post code.
 
Index: svn/src/mainboard/arima/hdama/mptable.c
===================================================================
--- svn.orig/src/mainboard/arima/hdama/mptable.c
+++ svn/src/mainboard/arima/hdama/mptable.c
@@ -80,7 +80,7 @@ static unsigned node_link_to_bus(unsigne
 		dst_link = (config_map >> 8) & 3;
 		bus_base = (config_map >> 16) & 0xff;
 #if 0				
-		printk(BIOS_DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
+		printk(DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
 			dst_node, dst_link, bus_base,
 			reg, config_map);
 #endif
@@ -153,7 +153,7 @@ static void *smp_write_config_table(void
 		/* HT chain 0 */
 		bus_chain_0 = node_link_to_bus(0, 0);
 		if (bus_chain_0 == 0xff) {
-			printk(BIOS_DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
+			printk(DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
 			bus_chain_0 = 0;
 		}
 
@@ -165,7 +165,7 @@ static void *smp_write_config_table(void
 			bus_isa++;
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:03.0, using defaults\n", bus_chain_0);
+			printk(DEBUG, "ERROR - could not find PCI %02x:03.0, using defaults\n", bus_chain_0);
 
 			bus_8111_1 = 4;
 			bus_isa = 5;
@@ -177,7 +177,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_chain_0);
+			printk(DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_chain_0);
 
 			bus_8131_1 = 2;
 		}
@@ -188,7 +188,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_chain_0);
+			printk(DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_chain_0);
 
 			bus_8131_2 = 3;
 		}
@@ -313,7 +313,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
@@ -329,26 +329,26 @@ static void reboot_if_hotswap(void)
 	unsigned bus_chain_0 = node_link_to_bus(0, 0);
 
 	reset = 0;
-	printk(BIOS_DEBUG, "Looking for bad PCIX MHz input\n");
+	printk(DEBUG, "Looking for bad PCIX MHz input\n");
 	dev = dev_find_slot(bus_chain_0, PCI_DEVFN(0x02,0));
 	if (!dev)
-		printk(BIOS_DEBUG, "Couldn't find %02x:02.0 \n", bus_chain_0);
+		printk(DEBUG, "Couldn't find %02x:02.0 \n", bus_chain_0);
 	else {
 		data = pci_read_config32(dev, 0xa0);
 		if(!(((data>>16)&0x03)==0x03)) {
 			reset=1;
-			printk(BIOS_DEBUG, "Bad PCIX MHz - Reset\n");
+			printk(DEBUG, "Bad PCIX MHz - Reset\n");
 		}
 	}
-	printk(BIOS_DEBUG, "Looking for bad Hot Swap Enable\n");
+	printk(DEBUG, "Looking for bad Hot Swap Enable\n");
 	dev = dev_find_slot(bus_chain_0, PCI_DEVFN(0x01,0));
 	if (!dev)
-		printk(BIOS_DEBUG, "Couldn't find %02x:01.0 \n", bus_chain_0);
+		printk(DEBUG, "Couldn't find %02x:01.0 \n", bus_chain_0);
 	else {
 		data = pci_read_config32(dev, 0x48);
 		if(data & 0x0c) {
 			reset=1;
-			printk(BIOS_DEBUG, "Bad Hot Swap start - Reset\n");
+			printk(DEBUG, "Bad Hot Swap start - Reset\n");
 		}
 	}
 	if(reset) {
@@ -363,7 +363,7 @@ static void reboot_if_hotswap(void)
 		outb(0x0e, 0x0cf9);
 	}
 	else {
-		printk(BIOS_DEBUG, "OK 133MHz & Hot Swap is off\n");
+		printk(DEBUG, "OK 133MHz & Hot Swap is off\n");
 	}
 }
 
Index: svn/src/mainboard/artecgroup/dbe61/mainboard.c
===================================================================
--- svn.orig/src/mainboard/artecgroup/dbe61/mainboard.c
+++ svn/src/mainboard/artecgroup/dbe61/mainboard.c
@@ -31,20 +31,20 @@
 static void init_gpio()
 {
 	msr_t msr;
-	printk(BIOS_DEBUG, "Checking GPIO module...\n");
+	printk(DEBUG, "Checking GPIO module...\n");
 
 	msr = rdmsr(MDD_LBAR_GPIO);
-	printk(BIOS_DEBUG, "DIVIL_LBAR_GPIO set to 0x%08x 0x%08x\n", msr.hi, msr.lo);
+	printk(DEBUG, "DIVIL_LBAR_GPIO set to 0x%08x 0x%08x\n", msr.hi, msr.lo);
 }
 
 static void init(struct device *dev)
 {
 	// BOARD-SPECIFIC INIT
-	printk(BIOS_DEBUG, "ARTECGROUP DBE61 ENTER %s\n", __func__);
+	printk(DEBUG, "ARTECGROUP DBE61 ENTER %s\n", __func__);
 
 	init_gpio();
 
-	printk(BIOS_DEBUG, "ARTECGROUP DBE61 EXIT %s\n", __func__);
+	printk(DEBUG, "ARTECGROUP DBE61 EXIT %s\n", __func__);
 }
 
 static void enable_dev(struct device *dev)
Index: svn/src/mainboard/artecgroup/dbe61/realmode/vgabios.c
===================================================================
--- svn.orig/src/mainboard/artecgroup/dbe61/realmode/vgabios.c
+++ svn/src/mainboard/artecgroup/dbe61/realmode/vgabios.c
@@ -248,16 +248,16 @@ void do_vgabios(device_t dev)
 	}
 
 	if (!dev) {
-		printk(BIOS_DEBUG, "NO VGA FOUND\n");
+		printk(DEBUG, "NO VGA FOUND\n");
 		return;
 	}
-	printk(BIOS_DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
+	printk(DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
 
 	/* declare rom address here - keep any config data out of the way
 	 * of core LXB stuff */
 
 	//pci_write_config32(dev, PCI_ROM_ADDRESS, rom|1);
-	printk(BIOS_DEBUG, "rom base, size: %x\n", rom);
+	printk(DEBUG, "rom base, size: %x\n", rom);
 
 	buf = (unsigned char *) rom;
 	if ((buf[0] == 0x55) && (buf[1] == 0xaa)) {
@@ -269,13 +269,13 @@ void do_vgabios(device_t dev)
 		buf = (unsigned char *) 0xc0000;
 		if (buf[0]==0x55 && buf[1]==0xAA) {
 			busdevfn = (dev->bus->secondary << 8) | dev->path.pci.devfn;
-			printk(BIOS_DEBUG, "bus/devfn = %#x\n", busdevfn);
+			printk(DEBUG, "bus/devfn = %#x\n", busdevfn);
 
 		    	real_mode_switch_call_vga(busdevfn);
 		} else
-			printk(BIOS_DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
+			printk(DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
 	} else 
-		printk(BIOS_DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
+		printk(DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
 
 	pci_write_config32(dev, PCI_ROM_ADDRESS, 0);
 }
@@ -579,28 +579,28 @@ int biosint_vga(unsigned long intnumber,
 	cs = cs_ip >> 16;
 	flags = stackflags;
 	
-	printk(BIOS_DEBUG, "biosint: INT# 0x%lx\n", intnumber);
-	printk(BIOS_DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n", 
+	printk(DEBUG, "biosint: INT# 0x%lx\n", intnumber);
+	printk(DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n",
 		      eax, ebx, ecx, edx);
-	printk(BIOS_DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
+	printk(DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk(BIOS_DEBUG, "biosint:  ip 0x%x   cs 0x%x  flags 0x%x\n",
+	printk(DEBUG, "biosint:  ip 0x%x   cs 0x%x  flags 0x%x\n",
 		     ip, cs, flags);
 
 	// cases in a good compiler are just as good as your own tables. 
 	switch (intnumber) {
 	case 0 ... 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk(BIOS_INFO, "biosint: Oops, exception %u\n", intnumber);
+		printk(INFO, "biosint: Oops, exception %u\n", intnumber);
 		if (esp < 0x1000) {
-			printk(BIOS_DEBUG, "Stack contents: ");
+			printk(DEBUG, "Stack contents: ");
 			while (esp < 0x1000) {
-				printk(BIOS_DEBUG, "0x%04x ", *(unsigned short *) esp);
+				printk(DEBUG, "0x%04x ", *(unsigned short *) esp);
 				esp += 2;
 			}
-			printk(BIOS_DEBUG, "\n");
+			printk(DEBUG, "\n");
 		}
-		printk(BIOS_DEBUG, "biosint: Bailing out\n");
+		printk(DEBUG, "biosint: Bailing out\n");
 		// "longjmp"
 		vga_exit();
 		break;
@@ -619,7 +619,7 @@ int biosint_vga(unsigned long intnumber,
 				&ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk(BIOS_INFO, "BIOSINT: Unsupport int #0x%x\n", 
+		printk(INFO, "BIOSINT: Unsupport int #0x%x\n",
 			    intnumber);
 		break;
 	}
@@ -697,7 +697,7 @@ pcibios_vga(unsigned long *pedi, unsigne
 			// devfn is an int, so we mask it off. 
 			busdevfn = (dev->bus->secondary << 8)
 				| (dev->path.pci.devfn & 0xff);
-			printk(BIOS_DEBUG, "0x%x: return 0x%x\n", func, busdevfn);
+			printk(DEBUG, "0x%x: return 0x%x\n", func, busdevfn);
 			*pebx = busdevfn;
 			retval = 0;
 		} else {
@@ -723,7 +723,7 @@ pcibios_vga(unsigned long *pedi, unsigne
 		reg = *pedi;
 		dev = dev_find_slot(bus, devfn);
 		if (! dev) {
-			printk(BIOS_DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n", func, bus, devfn);
+			printk(DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n", func, bus, devfn);
 			// idiots. the pcibios guys assumed you'd never pass a bad bus/devfn!
 			*peax = PCIBIOS_BADREG;
 			retval = -1;
@@ -757,14 +757,14 @@ pcibios_vga(unsigned long *pedi, unsigne
 		
 		if (retval) 
 			retval = PCIBIOS_BADREG;
-		printk(BIOS_DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
+		printk(DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
 			     func, bus, devfn, reg, *pecx);
 		*peax = 0;
 		retval = 0;
 	}
 	break;
 	default:
-		printk(BIOS_ERR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n",  func);
+		printk(ERROR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n",  func);
 		break;
 	}
 	
@@ -891,9 +891,9 @@ static void vga_init(device_t dev)
 	pci_dev_init(dev);
 
 	// code to make vga init run in real mode - does work but against the current coreboot philosophy 
-    printk(BIOS_DEBUG, "INSTALL REAL-MODE IDT\n");
+    printk(DEBUG, "INSTALL REAL-MODE IDT\n");
     setup_realmode_idt();
-    printk(BIOS_DEBUG, "DO THE VGA BIOS\n");
+    printk(DEBUG, "DO THE VGA BIOS\n");
     do_vgabios(dev);
 
     vga_enable_console();
@@ -918,7 +918,7 @@ static struct device_operations drivers_
  * */
 
 void vga_configure_pci(device_t dev){
-	printk(BIOS_DEBUG, "Setting VGA callback\n");
+	printk(DEBUG, "Setting VGA callback\n");
 	dev->ops = &drivers_pci_realmode_dev_ops;
 }
 
Index: svn/src/mainboard/asus/a8n_e/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/asus/a8n_e/get_bus_conf.c
+++ svn/src/mainboard/asus/a8n_e/get_bus_conf.c
@@ -108,7 +108,7 @@ void get_bus_conf(void)
 		bus_ck804[2]++;
 	} else {
 		printk
-		    (BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n",
+		    (DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n",
 		     sbdn + 0x09);
 		bus_ck804[1] = 2;
 		bus_ck804[2] = 3;
@@ -124,7 +124,7 @@ void get_bus_conf(void)
 			for (j = bus_ck804[i]; j < bus_isa; j++)
 				bus_type[j] = 1;
 		} else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n",
+			printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n",
 			     bus_ck804[0], sbdn + 0x0b + i - 2);
 			bus_isa = bus_ck804[i - 1] + 1;
 		}
Index: svn/src/mainboard/asus/a8n_e/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/asus/a8n_e/irq_tables.c
+++ svn/src/mainboard/asus/a8n_e/irq_tables.c
@@ -78,7 +78,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000. */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -191,7 +191,7 @@ unsigned long write_pirq_routing_table(u
 	if (sum != pirq->checksum)
 		pirq->checksum = sum;
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return (unsigned long)pirq_info;
 }
Index: svn/src/mainboard/asus/a8n_e/mptable.c
===================================================================
--- svn.orig/src/mainboard/asus/a8n_e/mptable.c
+++ svn/src/mainboard/asus/a8n_e/mptable.c
@@ -184,7 +184,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/asus/a8v-e_se/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/asus/a8v-e_se/acpi_tables.c
+++ svn/src/mainboard/asus/a8v-e_se/acpi_tables.c
@@ -97,7 +97,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT table. */
 	rsdp = (acpi_rsdp_t *) current;
@@ -112,7 +112,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_write_rsdt(rsdt);
 
 	/* We explicitly add these tables later on: */
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	acpi_create_facs(facs);
@@ -122,9 +122,9 @@ unsigned long write_acpi_tables(unsigned
 	memcpy((void *) dsdt, &AmlCode, AmlCode.length);
 	dsdt->checksum = 0;	/* Don't trust iasl to get this right. */
 	dsdt->checksum = acpi_checksum(dsdt, dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
 		     dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * FADT\n");
 
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
@@ -133,23 +133,23 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, fadt);
 
 	/* If we want to use HPET timers Linux wants it in MADT. */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
-	printk(BIOS_DEBUG, "ACPI:    * MCFG\n");
+	printk(DEBUG, "ACPI:    * MCFG\n");
 	mcfg = (acpi_mcfg_t *) current;
 	acpi_create_mcfg(mcfg);
 	current += mcfg->header.length;
 	acpi_add_table(rsdp, mcfg);
 
-	printk(BIOS_DEBUG, "ACPI:    * SRAT\n");
+	printk(DEBUG, "ACPI:    * SRAT\n");
 	srat = (acpi_srat_t *) current;
 	acpi_create_srat(srat);
 	current += srat->header.length;
 	acpi_add_table(rsdp, srat);
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/asus/m2v-mx_se/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/asus/m2v-mx_se/acpi_tables.c
+++ svn/src/mainboard/asus/m2v-mx_se/acpi_tables.c
@@ -108,7 +108,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT table. */
 	rsdp = (acpi_rsdp_t *) current;
@@ -123,7 +123,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_write_rsdt(rsdt);
 
 	/* We explicitly add these tables later on: */
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 
 	/* we should align FACS to 64B as per ACPI specs */
 
@@ -137,9 +137,9 @@ unsigned long write_acpi_tables(unsigned
 	memcpy((void *) dsdt, &AmlCode, AmlCode.length);
 	dsdt->checksum = 0;	/* Don't trust iasl to get this right. */
 	dsdt->checksum = acpi_checksum(dsdt, dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
 		     dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * FADT\n");
 
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
@@ -147,46 +147,46 @@ unsigned long write_acpi_tables(unsigned
 	acpi_create_fadt(fadt, facs, dsdt);
 	acpi_add_table(rsdp, fadt);
 
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
 	/* If we want to use HPET timers Linux wants an MADT. */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
-	printk(BIOS_DEBUG, "ACPI:    * MCFG\n");
+	printk(DEBUG, "ACPI:    * MCFG\n");
 	mcfg = (acpi_mcfg_t *) current;
 	acpi_create_mcfg(mcfg);
 	current += mcfg->header.length;
 	acpi_add_table(rsdp, mcfg);
 
-	printk(BIOS_DEBUG, "ACPI:    * SRAT\n");
+	printk(DEBUG, "ACPI:    * SRAT\n");
 	srat = (acpi_srat_t *) current;
 	acpi_create_srat(srat);
 	current += srat->header.length;
 	acpi_add_table(rsdp, srat);
 
 	/* SLIT */
-        printk(BIOS_DEBUG, "ACPI:    * SLIT\n");
+        printk(DEBUG, "ACPI:    * SLIT\n");
         slit = (acpi_slit_t *) current;
         acpi_create_slit(slit);
         current+=slit->header.length;
         acpi_add_table(rsdp,slit);
 
 	/* SSDT */
-	printk(BIOS_DEBUG, "ACPI:    * SSDT\n");
+	printk(DEBUG, "ACPI:    * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
 	current += ssdt->length;
 	acpi_add_table(rsdp, ssdt);
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
